var $AdfDhtmlGoLinkPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlGoLinkPeer");
$goog$exportSymbol$$("AdfDhtmlGoLinkPeer", $AdfDhtmlGoLinkPeer$$);
$AdfDhtmlGoLinkPeer$$.$InitSubclass$ = function $$AdfDhtmlGoLinkPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$);
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichGoLink.TEXT);
  $AdfRichUIPeer$$.$addComponentPropertyGetters$(this, AdfRichGoLink.TEXT);
  this.$_EXPANDO_TEXT_LENGTH$ = "data-afr-tlen";
};
$goog$exportSymbol$$("AdfDhtmlGoLinkPeer.InitSubclass", $AdfDhtmlGoLinkPeer$$.$InitSubclass$);
$AdfDhtmlGoLinkPeer$$.prototype.$HandleComponentClick$ = function $$AdfDhtmlGoLinkPeer$$$$$HandleComponentClick$$($componentEvent$$207$$) {
  var $component$$1147$$ = this.$getComponent$(), $target$$127$$ = this.$getDomElement$().getAttribute("target");
  $AdfNavigationUtils$$.$performGetNavigation$($component$$1147$$, $componentEvent$$207$$, $target$$127$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlGoLinkPeer.prototype.HandleComponentClick", {$HandleComponentClick$:$AdfDhtmlGoLinkPeer$$.prototype.$HandleComponentClick$});
$AdfDhtmlGoLinkPeer$$.prototype.$GetInlineEditor$ = function $$AdfDhtmlGoLinkPeer$$$$$GetInlineEditor$$() {
  return $AdfDhtmlSimpleTextEditor$$.$getInlineEditor$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlGoLinkPeer.prototype.GetInlineEditor", {$GetInlineEditor$:$AdfDhtmlGoLinkPeer$$.prototype.$GetInlineEditor$});
$AdfDhtmlGoLinkPeer$$.prototype.$GetAccessibleName$ = function $$AdfDhtmlGoLinkPeer$$$$$GetAccessibleName$$() {
  return this.$getComponent$().getText();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlGoLinkPeer.prototype.GetAccessibleName", {$GetAccessibleName$:$AdfDhtmlGoLinkPeer$$.prototype.$GetAccessibleName$});
$AdfDhtmlGoLinkPeer$$.prototype.$GetComponentText$ = function $$AdfDhtmlGoLinkPeer$$$$$GetComponentText$$($component$$1149$$, $domElement$$221$$) {
  var $textLength$$4$$ = $domElement$$221$$.getAttribute($AdfDhtmlGoLinkPeer$$.$_EXPANDO_TEXT_LENGTH$);
  return null == $textLength$$4$$ ? null : 0 == $textLength$$4$$ ? "" : $AdfAgent$$.$AGENT$.$getTextContent$($domElement$$221$$).slice(0, $textLength$$4$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlGoLinkPeer.prototype.GetComponentText", {$GetComponentText$:$AdfDhtmlGoLinkPeer$$.prototype.$GetComponentText$});
$AdfDhtmlGoLinkPeer$$.prototype.$ComponentTextChanged$ = $AdfDomUtils$$.$__componentTextChanged$;
